.. index::
   pair: help ; minikube

.. _minikube_help:

=======================================================================================================
minikube **help** (Help about any command)
=======================================================================================================

.. seealso::

   - https://minikube.sigs.k8s.io/docs/commands/help/
   - https://github.com/kubernetes/minikube/edit/master/site/content/en/docs/commands/help.md




minikube help
=================

::

    minikube help

::

    Minikube is a CLI tool that provisions and manages single-node Kubernetes clusters optimized for development workflows.

    Basic Commands:
      start          Démarre un cluster Kubernetes local.
      status         Gets the status of a local kubernetes cluster
      stop           Stops a running local kubernetes cluster
      delete         Deletes a local kubernetes cluster
      dashboard      Access the kubernetes dashboard running within the minikube cluster
      pause          pause containers
      unpause        unpause Kubernetes

    Images Commands:
      docker-env     Sets up docker env variables; similar to '$(docker-machine env)'
      podman-env     Sets up podman env variables; similar to '$(podman-machine env)'
      cache          Add or delete an image from the local cache.

    Configuration and Management Commands:
      addons         Modify minikube's kubernetes addons
      config         Modify minikube config
      profile        Profile gets or sets the current minikube profile
      update-context Verify the IP address of the running cluster in kubeconfig.

    Networking and Connectivity Commands:
      service        Gets the kubernetes URL(s) for the specified service in your local cluster
      tunnel         tunnel makes services of type LoadBalancer accessible on localhost

    Advanced Commands:
      mount          Mounts the specified directory into minikube
      ssh            Log into or run a command on a machine with SSH; similar to 'docker-machine ssh'
      kubectl        Run kubectl
      node           Node operations

    Troubleshooting Commands:
      ssh-key        Retrieve the ssh identity key path of the specified cluster
      ip             Retrieves the IP address of the running cluster
      logs           Gets the logs of the running instance, used for debugging minikube, not user code.
      update-check   Print current and latest version number
      version        Print the version of minikube
      help        Show a list of global command-line help (applies to all commands).

    Other Commands:
      completion     Outputs minikube shell completion for the given shell (bash or zsh)

    Use "minikube <command> --help" for more information about a given command.
